'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _anybar = require('anybar');

var _anybar2 = _interopRequireDefault(_anybar);

var _lodash = require('lodash.defaultsdeep');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DefaultOptions = {
    port: null,
    status: {
        error: 'red',
        pending: 'orange',
        success: 'green'
    }
};

function WebpackAnybarPlugin(options) {
    this.options = (0, _lodash2.default)({}, options, DefaultOptions);

    var port = this.options.port;

    this.broadcast = function (status) {
        return (0, _anybar2.default)(typeof status === 'function' ? status() : status, { port: port });
    };
}

WebpackAnybarPlugin.prototype.apply = function (compiler) {
    var _this = this;

    var status = this.options.status;

    compiler.plugin('watch-run', function (watching, callback) {
        _this.broadcast(status.pending);
        callback();
    });

    compiler.plugin('done', function (stats) {
        _this.broadcast(stats.hasErrors() ? status.error : status.success);
    });
};

exports.default = WebpackAnybarPlugin;